package api

import (
	"net/http"

	"git.elnu.com/ElnuDev/jichanorg/httputils"
	. "git.elnu.com/ElnuDev/jichanorg/shiritori/clients"
)

func GenerateApiSubmit(clients *ClientSet) httputils.Handler {
	return httputils.GenerateHandler(
		"",
		func(w http.ResponseWriter, r *http.Request) bool {
			r.ParseMultipartForm(0)
			clients.BroadcastWord(r.FormValue("word"))
			return true
		},
		nil,
		[]string{http.MethodPost},
	)
}
