package main

import (
	"log"
	"net/http"

	"git.elnu.com/ElnuDev/jichanorg/shiritori/api"
	. "git.elnu.com/ElnuDev/jichanorg/shiritori/clients"
)

func main() {
	clients := NewClientSet()
	http.Handle("/", http.FileServer(http.Dir("static")))
	http.HandleFunc("/api/events", api.GenerateApiEvents(&clients))
	http.HandleFunc("/api/submit", api.GenerateApiSubmit(&clients))
	log.Fatal(http.ListenAndServe(":3333", nil))
}
